        program sample

        CHARACTER(LEN=145), PARAMETER :: filename = "../data/GPM/DPR&
&/GPMCOR_DPR_2603_M_L3S_D3M_08A.nc.precipRateESurface_mean"
        REAL*4 lat, lon

        ! read data area 
        real*4 precipRateESurface(28,72,3,3,3)

        ! binary file open 
        open(10,file=filename,access='direct',status='old',recl=4*28*72*3*3*3)

        ! binary file read
        read(10,rec=1) precipRateESurface

        ! print the value 
        write(*,*) "filename=",filename,""
        lat = (140.0/28.0) * (15-1) - 70.0 + (140.0/28.0/2)
        lon = (360.0/72.0) * (64-1) - 180.0 + (360.0/72.0/2)
        write(*,*) "lat=",lat,"lon=",lon
        write(*,*) "precipRateESurface.mean(15,64,1,1,1)=", precipRateESurface(15,64,1,1,1)
        write(*,*) "precipRateESurface.mean(15,64,1,2,1)=", precipRateESurface(15,64,1,2,1)

        ! binary file close 
        close(10)

        end
